### Function

# Gimp locale_directory

#### Declaration [src]

    const gchar*
    gimp_locale_directory (
      void
    )

#### Description [src]

Returns the top directory for GIMP locale files. If the environment variable GIMP3_LOCALEDIR exists, that is used. It should be an absolute pathname. Otherwise, on Unix the compile-time defined directory is used. On Windows, the installation directory as deduced from the executable’s full filename is used.

The returned string is owned by GIMP and must not be modified or freed. The returned string is in the encoding used for filenames by the C library, which isn’t necessarily UTF-8. (On Windows, unlike the other similar functions here, the return value from this function is in the system codepage, never in UTF-8. It can thus be passed directly to the `bindtextdomain()` function from libintl which does not handle UTF-8.)

#### Return value

Returns: | `const gchar*`
| The top directory for GIMP locale files.
| The data is owned by the called function.
| The value is a NUL terminated UTF-8 string.